package com.dsic.gj_erp.jszb.entity;

import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@TableName("part_flow_info")
public class PartFlowInfo {
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String  id;
    @ExcelProperty("船号")
    private String ch;
    @ExcelProperty("分段号")
    private String fd;
    @ExcelProperty("批量")
    private Integer pl;
    @ExcelProperty("零件名称")
    private String partName;
    @ExcelProperty("种类")
    private String type;
    @ExcelProperty("规格")
    private String specification;
    @ExcelProperty("数量")
    private Integer quantity;
    @ExcelProperty("材质")
    private String material;
    @ExcelProperty("特征")
    private String feature;
    @ExcelProperty("流向")
    private String flow;
    @ExcelProperty("下级")
    private String nextLevel;
    @ExcelProperty("套料图信息")
    private String nestingInfo;
    @ExcelProperty("场地")
    private String location;

    //========重量信息========
    @TableField(exist = false)
    @ExcelProperty("PROJECT")
    private String project;
    @TableField(exist = false)
    @ExcelProperty("BLOCK")
    private String block;
    @TableField(exist = false)
    @ExcelProperty("PARTNAME")
    private String partName0;
    @ExcelProperty("PARTNO")
    private String partNo;
    @ExcelProperty("MATERIAL")
    private String material0;
    @ExcelProperty("THICK")
    private String thickness;
    @ExcelProperty("TYPE")
    private String type0;
    @ExcelProperty("P")
    private Integer p;
    @ExcelProperty("C")
    private Integer c;
    @ExcelProperty("S")
    private Integer s;
    @ExcelProperty("NP")
    private Integer np;
    @ExcelProperty("NC")
    private Integer nc;
    @ExcelProperty("NS")
    private Integer ns;
    @ExcelProperty("AREA")
    private Double area;
    @ExcelProperty("WEIGHT")
    private Double weight;
    @ExcelProperty("CUTLEN")
    private Double cutLength;
    @ExcelProperty("MARKLEN")
    private Double markLength;
    @ExcelProperty("X-SIZE")
    private Double xSize;
    @ExcelProperty("Y-SIZE")
    private Double ySize;
    @ExcelProperty("OPTION")
    private String option;
    @ExcelProperty("MPARTNAME")
    private String mPartName;
    @ExcelProperty("SPARTNAME")
    private String sPartName;
    @ExcelProperty("LOT")
    private String lot;
    @ExcelProperty("BAREA")
    private Double bArea;
    @ExcelProperty("SANGLE")
    private Double sAngle;
    @ExcelProperty("SSIZE-X")
    private Double sSizeX;
    @ExcelProperty("SSIZE-Y")
    private Double sSizeY;
    @ExcelProperty("GOID")
    private Double goid;
    @ExcelProperty("DATE")
    private String date;
    @ExcelProperty("TIME")
    private String time;
    @ExcelProperty("SHAPE")
    private String shape;
    @ExcelProperty("ASSEMBLY")
    private String assembly;
    @ExcelProperty("OPTION1")
    private String option1;
    @ExcelProperty("OPTION2")
    private String option2;
    @ExcelProperty("OPTION3")
    private String option3;
    @ExcelProperty("OPTION4")
    private String option4;
    @ExcelProperty("OPTION5")
    private String option5;
    @ExcelProperty("DIRECTION")
    private String direction;
    @ExcelProperty("ISMODIFY")
    private Integer isModify;
    @ExcelProperty("NESTNAME")
    private String nestName;
}
