package com.dsic.gj_erp.jszb.excel;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.event.AnalysisEventListener;
import com.dsic.gj_erp.jszb.entity.PartFlowInfo;
import lombok.Getter;

import java.util.ArrayList;
import java.util.List;

/**
 * Excel通用监听器
 */
public class ExcelFlowInfoListener extends AnalysisEventListener<PartFlowInfo> {

    @Getter
    List<PartFlowInfo> objectList = new ArrayList<>();

    @Override
    public void invoke(PartFlowInfo excelDemo, AnalysisContext analysisContext) {
        objectList.add(excelDemo);
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {

    }

}
